阿里云首页 性能分析

安装Java SDK

本文介绍了如何安装崩溃分析Java SDK以及阿里云核心库。

前提条件

安装崩溃分析Java SDK必须使用JDK 1.6或更高版本。

背景信息

阿里云开发者中心为您提供了崩溃分析Java SDK以及阿里云核心库的Maven项目依赖及jar包,您可以编写代码调用阿里云SDK来实现对阿里云的产品和服务的访问。

本文示例中,客户端为Windows10 64位操作系统,使用的Java开发工具为IntelliJ IDEA。

操作步骤

  1. 通过以下任一方式在IDEA中配置Maven项目管理工具。

    • 使用IDEA中集成的Maven项目管理工具。

    • 访问Maven官方下载页面(Download Apache Maven)下载对应操作系统的Maven工具,手动配置Maven工具。

  2. 访问阿里云开发工具包(SDK),获取阿里云的SDK核心库以及性能分析的Maven项目依赖。

  3. 通过以下任一方式创建Maven项目。

    • 方式一:在IDEA中添加一个Maven项目。maven1

    • 方式二:将已有的项目转换为Maven项目。

      1. 右键单击要转换的项目,并选择Add Framework Support...maven2

      2. 选择Maven,并单击OKmaven3

  4. 在项目目录下的pom.xml文件中,添加阿里云核心库aliyun-java-sdk-core、崩溃分析aliyun-java-sdk-emas-appmonitor及fastjson依赖。

    添加依赖后,Maven项目管理工具会自动下载相关jar包。
    说明

    SDK包更新频繁,建议您通过上文提供的阿里云开发工具包官网链接获取最新版本依赖。

    <dependencies>
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-core</artifactId>
            <version>4.5.6</version>
        </dependency> 
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-emas-appmonitor</artifactId>
            <version>1.2.0</version> 
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.73</version>
        </dependency>
    </dependencies>
  5. 查看项目目录下的External Libraries。